%define upstream_name	 Net-CIDR
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manipulate IPv4/IPv6 netblocks in CIDR notation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
With this module, you can manipulate IPv4/IPv6 netblocks in CIDR notation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 370506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 315192
- update to 0.17

* Mon Oct 01 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 301281
- update to 0.16

* Thu Feb 23 2012 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 213077
- update to 0.15

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 30881
- mageia rebuild
- imported package perl-Net-CIDR

